View Issue Details

IDProjectCategoryView StatusLast Update
0003586SOGoWeb Mailpublic2016-08-04 17:36
Reportersisu Assigned Tofrancis  
PriorityhighSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.0.2 
Fixed in Version3.1.5 
Summary0003586: Moving messages is not intuitive at all
Description

First of all the way to select messages is not very intuitive. I found it out by randomly clicking around. Add some checkboxes or something. As far as I could find out moving messages only works by selecting them, clicking on the "more" menu and then move the message.

  1. There should be an option to move a message within the message view (where you can read the email)

  2. Drag & Drop should be possible to move messagens

  3. A context menu (right click on a message) should be available to move,delete,copy messages and so on.

Now I understand that this frontend is "mobile first (only?)" which by default not supports some of those things. However, I claim that most of the users are using this web frontend on a desktop and thus these interaction possibilities are tremendously helpful.

TagsNo tags attached.

Relationships

has duplicate 0003734 resolvedfrancis Drag & Drop Emails to Folders 
has duplicate 0003788 resolvedfrancis Drag & Drop Mails 

Activities

There are no notes attached to this issue.

Related Changesets

sogo: master 84a2c70c

2016-08-04 17:34:29

francis

Details Diff
(js) DnD of messages in the Mail module

Fixes 0003497, 0003586, 0003734, 0003788
Affected Issues
0003497, 0003586, 0003734, 0003788
mod - NEWS Diff File
mod - UI/Templates/MailerUI/UIxMailFolderTemplate.wox Diff File
mod - UI/Templates/MailerUI/UIxMailMainFrame.wox Diff File
mod - UI/WebServerResources/js/Mailer/Mailbox.service.js Diff File
mod - UI/WebServerResources/js/Mailer/MailboxesController.js Diff File

Issue History

Date Modified Username Field Change
2016-03-16 17:16 sisu New Issue
2016-06-16 14:45 francis Relationship added has duplicate 0003734
2016-08-03 08:04 francis Relationship added has duplicate 0003788
2016-08-04 17:35 francis Changeset attached => sogo master 84a2c70c
2016-08-04 17:35 francis Assigned To => francis
2016-08-04 17:35 francis Resolution open => fixed
2016-08-04 17:36 francis Status new => resolved
2016-08-04 17:36 francis Fixed in Version => 3.1.5